Bug 642373 - (CVE-2009-5005) CVE-2009-5005 qpid: crash on receipt of invalid AMQP data
CVE-2009-5005 qpid: crash on receipt of invalid AMQP data
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20090617,reported=20090617,sou...
: Security
Depends On: 506580
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-12 13:53 EDT by Vincent Danen
Modified: 2015-07-31 08:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-09 10:50:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-10-12 13:53:10 EDT
It was reported [1] that Apache QPID would crash when receiving data from a client that is not valid AMQP data, resulting in a shut down of the cluster rather than the client being disconnected.  This was corrected upstream by r785788 [2].

[1] https://bugzilla.redhat.com/show_bug.cgi?id=506580
[2] http://svn.apache.org/viewvc?revision=785788&view=revision
Comment 2 errata-xmlrpc 2010-10-14 11:57:09 EDT
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0773 https://rhn.redhat.com/errata/RHSA-2010-0773.html
Comment 3 errata-xmlrpc 2010-10-14 12:21:34 EDT
This issue has been addressed in following products:

  Grid for MRG on RHEL-4
  Messaging for MRG on RHEL-4
  Grid Execute Node for MRG on RHEL-4
  Messaging Base for MRG on RHEL-4

Via RHSA-2010:0774 https://rhn.redhat.com/errata/RHSA-2010-0774.html

Note You need to log in before you can comment on or make changes to this bug.